---
title: "eth_maxPriorityFeePerGas"
description: "返回建议的优先费（小费）（Ethereum Sepolia）"
url: "https://blockreq.com/docs/zh-cn/build/api-reference/ethereum-sepolia/eth_maxPriorityFeePerGas/"
---

# eth_maxPriorityFeePerGas

**网络：** Ethereum Sepolia · 测试网 · Chain ID `11155111`（`0xaa36a7`）

**计为 1 个 Request。** 计费规则见 [Request Counting](https://blockreq.com/docs/zh-cn/pricing/request-counting/index.md)。

## 描述

返回建议的优先费（小费）。

## 参数

无

## 请求

```json
{
  "jsonrpc": "2.0",
  "method": "eth_maxPriorityFeePerGas",
  "params": [],
  "id": 1
}
```

## 代码示例

**cURL**

```bash
curl -X POST https://ethereum-sepolia-rpc.blockreq.com/v1/rpc/public \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","method":"eth_maxPriorityFeePerGas","params":[],"id":1}'
```

**TypeScript**

```typescript
const response = await fetch("https://ethereum-sepolia-rpc.blockreq.com/v1/rpc/public", {
  method: "POST",
  headers: { "Content-Type": "application/json" },
  body: JSON.stringify({
  "jsonrpc": "2.0",
  "method": "eth_maxPriorityFeePerGas",
  "params": [],
  "id": 1
}),
});
const data = await response.json();
console.log(data.result);
```

**Python**

```python
import requests

response = requests.post(
    "https://ethereum-sepolia-rpc.blockreq.com/v1/rpc/public",
    json={
  "jsonrpc": "2.0",
  "method": "eth_maxPriorityFeePerGas",
  "params": [],
  "id": 1
}
)
print(response.json()["result"])
```

**Go**

```go
package main

import (
	"bytes"
	"encoding/json"
	"fmt"
	"io"
	"net/http"
)

func main() {
	payload := []byte(`{"jsonrpc":"2.0","method":"eth_maxPriorityFeePerGas","params":[],"id":1}`)
	resp, err := http.Post(
		"https://ethereum-sepolia-rpc.blockreq.com/v1/rpc/public",
		"application/json",
		bytes.NewBuffer(payload),
	)
	if err != nil {
		panic(err)
	}
	defer resp.Body.Close()

	body, _ := io.ReadAll(resp.Body)
	var result map[string]interface{}
	json.Unmarshal(body, &result)
	fmt.Println(result["result"])
}
```

**viem**

```typescript
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://ethereum-sepolia-rpc.blockreq.com/v1/rpc/public"),
});

const result = await client.request({
  method: "eth_maxPriorityFeePerGas",
  params: [],
});
console.log(result);
```

**Foundry**

```bash
cast rpc --rpc-url https://ethereum-sepolia-rpc.blockreq.com/v1/rpc/public eth_maxPriorityFeePerGas
```

**Hardhat**

```javascript
const { ethers } = require("hardhat");

async function main() {
  const provider = new ethers.JsonRpcProvider("https://ethereum-sepolia-rpc.blockreq.com/v1/rpc/public");
  const result = await provider.send("eth_maxPriorityFeePerGas", []);
  console.log(result);
}

main();
```
